Bug 238983 - [PATCH] print/pdf-renderer: Support for Java version changes
Summary: [PATCH] print/pdf-renderer: Support for Java version changes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks: 238758
  Show dependency treegraph
 
Reported: 2019-07-04 02:49 UTC by Greg Lewis
Modified: 2019-07-18 16:37 UTC (History)
0 users

See Also:
ale: maintainer-feedback+
ale: maintainer-feedback+


Attachments
Makefile changes (333 bytes, patch)
2019-07-04 02:49 UTC, Greg Lewis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Lewis freebsd_committer 2019-07-04 02:49:28 UTC
Created attachment 205516 [details]
Makefile changes

In bug #238758 I have a change that will alter the format of JAVA_PORT_VERSION to be consistent with modern Java versioning.  This patch adds support to this port for handling that, while preserving the functionality with the current format of JAVA_PORT_VERSION.  Please review.
Comment 1 commit-hook freebsd_committer 2019-07-08 20:19:22 UTC
A commit references this bug:

Author: glewis
Date: Mon Jul  8 20:19:10 UTC 2019
New revision: 506250
URL: https://svnweb.freebsd.org/changeset/ports/506250

Log:
  Adjust to proposed changes in Java versioning

  * Bug #238758 proposes to change the Java versioning from versions such
    as "1.6.0" to versions such as "6" (for example).  Modify the Makefile
    checks on JAVA_PORT_VERSION to cope with either format.

  PR:		238983
  Approved by:	ale (maintainer)

Changes:
  head/print/pdf-renderer/Makefile
Comment 2 Greg Lewis freebsd_committer 2019-07-08 20:20:30 UTC
Thanks!
Comment 3 commit-hook freebsd_committer 2019-07-18 16:37:04 UTC
A commit references this bug:

Author: glewis
Date: Thu Jul 18 16:36:35 UTC 2019
New revision: 506858
URL: https://svnweb.freebsd.org/changeset/ports/506858

Log:
  Adjust to proposed changes in Java versioning

  * Bug #238758 proposes to change the Java versioning from versions such
    as "1.6.0" to versions such as "6" (for example).  Modify the Makefile
    checks on JAVA_PORT_VERSION to cope with either format.

  PR:		238983
  Approved by:	maintainer timeout

Changes:
  head/databases/hbase/Makefile